Description

History

#1 - 04/29/2019 08:50 AM - Greg Shah

- Description updated

The converted gradle build file can then be used in 2 ways (as a minimum):

- to create Intellij Idea FWD plugin, able to edit, convert, and run ABL files in Idea

- to complete Feature #1770 (multi-threaded conversion driver). Gradle builds can run in parallel mode, so instead of a specific driver, ordinary off-the

shelf gradle can be used.

#2 - 04/29/2019 08:58 AM - Greg Shah

The version of our testcases/uast/build.xml is very old.  I really don't want to spend any time on it.

We have a newer version of project ant build.xml that is maintained with our Hotel ChUI/Hotel GUI sample applications.  When we spend time on

something, it would be to work on that version.  We would then need to rework the testcases/uast/ project into the standard project

configuration/structure.

- to complete Feature #1770 (multi-threaded conversion driver). Gradle builds can run in parallel mode, so instead of a specific driver, ordinary

off-the shelf gradle can be used.

 

The issue with multi-threading is that TRPL itself needs to be reworked substantially to enable multiple threads.  This is not optional.  Using gradle

does not help because there is a non-trivial amount of processing that must occur in the same JVM.  In other words, it would take much more work to

make a multi-process TRPL approach work, rather than to just extend the current architecture to support multi-threading.  That multi-process

architecture would also lead to a sub-optimal design for certain problems.  For these reasons, we are not planning to use the multi-process approach.
#3 - 04/30/2019 06:38 AM - Alexei Kaigorodov

- Priority changed from Normal to Low

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

http://www.tcpdf.org

